Package org.kapott.hbci.sepa.jaxb.pain_001_002_02

## Class PaymentTypeInformationSCT2

- java.lang.Object
- - org.kapott.hbci.sepa.jaxb.pain_001_002_02.PaymentTypeInformationSCT2

    public class PaymentTypeInformationSCT2
    extends java.lang.Object

Java class for PaymentTypeInformationSCT2 complex type.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="PaymentTypeInformationSCT2">
       <complexContent>
         <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
           <sequence>
             <element name="SvcLvl" type="{urn:swift:xsd:$pain.001.002.02}ServiceLevelSCT"/>
             <element name="CtgyPurp" type="{urn:swift:xsd:$pain.001.002.02}PaymentCategoryPurpose1Code" minOccurs="0"/>
           </sequence>
         </restriction>
       </complexContent>
     </complexType>

### Field Summary

Fields
`protected PaymentCategoryPurpose1Code` `ctgyPurp`
`protected ServiceLevelSCT` `svcLvl`

### Constructor Summary

Constructors
`PaymentTypeInformationSCT2()`

### Method Summary

All Methods Instance Methods Concrete Methods
`PaymentCategoryPurpose1Code` `getCtgyPurp()` Gets the value of the ctgyPurp property.
`ServiceLevelSCT` `getSvcLvl()` Gets the value of the svcLvl property.
`void` `setCtgyPurp​(PaymentCategoryPurpose1Code value)` Sets the value of the ctgyPurp property.
`void` `setSvcLvl​(ServiceLevelSCT value)` Sets the value of the svcLvl property.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### svcLvl

    protected ServiceLevelSCT svcLvl

#### ctgyPurp

    protected PaymentCategoryPurpose1Code ctgyPurp

### Constructor Detail

#### PaymentTypeInformationSCT2

    public PaymentTypeInformationSCT2()

### Method Detail

#### getSvcLvl

    public ServiceLevelSCT getSvcLvl()

Gets the value of the svcLvl property.

Returns:
  possible object is `ServiceLevelSCT`

#### setSvcLvl

    public void setSvcLvl​(ServiceLevelSCT value)

Sets the value of the svcLvl property.

Parameters:
  `value` - allowed object is `ServiceLevelSCT`

#### getCtgyPurp

    public PaymentCategoryPurpose1Code getCtgyPurp()

Gets the value of the ctgyPurp property.

Returns:
  possible object is `PaymentCategoryPurpose1Code`

#### setCtgyPurp

    public void setCtgyPurp​(PaymentCategoryPurpose1Code value)

Sets the value of the ctgyPurp property.

Parameters:
  `value` - allowed object is `PaymentCategoryPurpose1Code`